Debian Bug report logs - #139996
libssl0.9.6: libcrypto works slow on sparcv8

version graph

Package: libssl0.9.6; Maintainer for libssl0.9.6 is (unknown);

Reported by: Raoul Borenius <borenius@shuttle.de>

Date: Tue, 26 Mar 2002 14:48:01 UTC

Severity: important

Found in version 0.9.6c-2

Fixed in version openssl/0.9.6g-7

Done: Christoph Martin <christoph.martin@uni-mainz.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>, openssl@packages.qa.debian.org:
Bug#139996; Package libssl0.9.6. Full text and rfc822 format available.

Acknowledgement sent to Raoul Borenius <borenius@shuttle.de>:
New Bug report received and forwarded. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>, openssl@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raoul Borenius <borenius@shuttle.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libssl0.9.6: libcrypto works slow on sparcv8
Date: Tue, 26 Mar 2002 15:35:49 +0100
Package: libssl0.9.6
Version: 0.9.6c-2
Severity: important

libssl0.9.6 seems to be compiled without optimization
for newer sparcs.

recompiling libssl0.9.6 with the defaults for sparcv8 boosts performace
by factor 8

 ----------------------------------------------

--- Configure.orig   Tue Mar 26 09:51:44 2002
+++ Configure   Tue Mar 26 12:08:13 2002
@@ -341,7 +341,7 @@
 "debian-s390","gcc:-DB_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::-D_REENTRANT:-ldl:BN_LLONG::::::::::dlfcn:linux-shared:-fPIC", 
 "debian-sh",   "gcc:-DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::-D_REENTRANT:-ldl:BN_LLONG::::::::::dlfcn:linux-shared:-fPIC",
 "debian-sheb",   "gcc:-DB_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::-D_REENTRANT:-ldl:BN_LLONG::::::::::dlfcn:linux-shared:-fPIC",
-"debian-sparc","gcc:-DB_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::-D_REENTRANT:-ldl:BN_LLONG RC4_CHAR DES_UNROLL BF_PTR::::::::::dlfcn:linux-shared:-fPIC",
+"debian-sparc","gcc:-mv8 -DB_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall -DBN_DIV2W::-D_REENTRANT:-ldl:BN_LLONG RC4_CHAR DES_UNROLL BF_PTR:asm/sparcv8.o:::::::::dlfcn:linux-shared:-fPIC",
 # The intel boxes :-), It would be worth seeing if bsdi-gcc can use
 # the
 # bn86-elf.o file file since it is hand tweaked assembler.
 "linux-elf",   "gcc:-DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -m486 -Wall::-D_REENTRANT:-ldl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn:linux-shared:-fPIC:.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",

 ----------------------------------------------


my suggested solution would be to have different packages for the
various sparcs like libssl-sparcv7, libssl-sparcv8, libssl-sparcv9

(and for ix86 also...)


-- System Information
Debian Release: 3.0
Architecture: sparc
Kernel: Linux ulm 2.2.20 #1 SMP Mon Nov 26 17:18:32 CET 2001 sparc
Locale: LANG=C, LC_CTYPE=de_DE

Versions of packages libssl0.9.6 depends on:
ii  libc6                         2.2.5-3    GNU C Library: Shared libraries an




Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>, openssl@packages.qa.debian.org:
Bug#139996; Package libssl0.9.6. Full text and rfc822 format available.

Acknowledgement sent to Christoph Martin <martin@uni-mainz.de>:
Extra info received and forwarded to list. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>, openssl@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 139996@bugs.debian.org (full text, mbox):

From: Christoph Martin <martin@uni-mainz.de>
To: Raoul Borenius <borenius@shuttle.de>
Cc: 139996@bugs.debian.org
Subject: Re: Bug#139996: libssl0.9.6: libcrypto works slow on sparcv8
Date: 20 Sep 2002 12:13:55 +0200
[Message part 1 (text/plain, inline)]
Am Die, 2002-03-26 um 15.35 schrieb Raoul Borenius:
> Package: libssl0.9.6
> Version: 0.9.6c-2
> Severity: important
> 
> libssl0.9.6 seems to be compiled without optimization
> for newer sparcs.
> 
> recompiling libssl0.9.6 with the defaults for sparcv8 boosts performace
> by factor 8

I am currently trying to implement optimisations. But I need your help,
because I have no v8 box. Can you please run the following command for
me on your v8 box and send me the output:

LD_LIBRARY_PATH=/usr/lib strace true 2>&1 | fgrep "open(\"/usr/lib"

Thanks 

	Christoph
[signature.asc (application/pgp-signature, inline)]

Reply sent to Christoph Martin <christoph.martin@uni-mainz.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raoul Borenius <borenius@shuttle.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 139996-close@bugs.debian.org (full text, mbox):

From: Christoph Martin <christoph.martin@uni-mainz.de>
To: 139996-close@bugs.debian.org
Subject: Bug#139996: fixed in openssl 0.9.6g-7
Date: Sun, 06 Oct 2002 09:02:17 -0400
We believe that the bug you reported is fixed in the latest version of
openssl, which is due to be installed in the Debian FTP archive:

libssl-dev_0.9.6g-7_i386.deb
  to pool/main/o/openssl/libssl-dev_0.9.6g-7_i386.deb
libssl0.9.6_0.9.6g-7_i386.deb
  to pool/main/o/openssl/libssl0.9.6_0.9.6g-7_i386.deb
openssl_0.9.6g-7.diff.gz
  to pool/main/o/openssl/openssl_0.9.6g-7.diff.gz
openssl_0.9.6g-7.dsc
  to pool/main/o/openssl/openssl_0.9.6g-7.dsc
openssl_0.9.6g-7_i386.deb
  to pool/main/o/openssl/openssl_0.9.6g-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 139996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Martin <christoph.martin@uni-mainz.de> (supplier of updated openssl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  6 Oct 2002 14:07:12 +0200
Source: openssl
Binary: libssl0.9.6 libssl-dev openssl
Architecture: source i386
Version: 0.9.6g-7
Distribution: unstable
Urgency: low
Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
Changed-By: Christoph Martin <christoph.martin@uni-mainz.de>
Description: 
 libssl-dev - SSL development libraries, header files and documentation
 libssl0.9.6 - SSL shared libraries
 openssl    - Secure Socket Layer (SSL) binary and related cryptographic tools
Closes: 139996 163500
Changes: 
 openssl (0.9.6g-7) unstable; urgency=low
 .
   * enable i686 optimisation and depend on fixed glibc (closes: #163500)
   * remove transition package ssleay
   * include optimisation vor sparcv8 (closes: #139996)
   * improve optimisation vor sparcv9
Files: 
 e4b5f70b05f0fcd4a6d29a3f2e35b999 657 utils optional openssl_0.9.6g-7.dsc
 37d1dde0012c42ee60483d43a00d2fd5 35458 utils optional openssl_0.9.6g-7.diff.gz
 251e041d48aacadb380a0d3a4f0aaeef 724296 utils optional openssl_0.9.6g-7_i386.deb
 7bebba73f154204d889a7c3d79074179 1593202 libs standard libssl0.9.6_0.9.6g-7_i386.deb
 93d1df4540b74a6c03c05dcc2f370736 1267456 devel optional libssl-dev_0.9.6g-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAj2gM0cACgkQgeVih7XOVJcf7gCgimnXX8lG/pJn6DWso1utVvBv
KLkAnR9IimPmrTmhOvajpYqpNmRjRQO+
=BBBd
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:53:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.